# preInstantiateSingletons method

1. @override

Future<void> preInstantiateSingletons()
override

Pre-instantiates all singleton pods.

This method creates all singleton pods upfront, which can improve first-request performance at the cost of slower application startup.

## Usage Example:

    // During application startup for better runtime performance
    await factory.preInstantiateSingletons();
    print('All singletons have been instantiated');

@return A Future that completes when all singletons are instantiated

## Implementation

    @override
    Future<void> preInstantiateSingletons() async {
      await getPodFactory().preInstantiateSingletons();
    }